DNF5-CHECK-UPGRADE(8)

NAME
dnf5-check-upgrade - Check-Upgrade Command

SYNOPSIS

dnf5 check-upgrade [options] [<package-spec-N>...]

DESCRIPTION

Non-interactively checks for available updates of specified packages. If no <package-spec-N> is provided, it checks for updates for the entire system.

DNF5 will exit with code 100 if updates are available and list them; 0 if no updates are available.

If terminal is available, list of the packages is colored, packages available for reinstall are (by default) colored with bold green and packages available for upgrade with bold blue. This behavior can be adjusted in dnf5.conf(5) via color_list_available_upgrade and color_list_available_reinstall options.

OPTIONS

    --changelogs
        Print the package changelogs.

    --advisories=ADVISORY_NAME,...
        Include content contained in advisories with specified name.
        This is a list option.
        Expected values are advisory IDs, e.g. FEDORA-2201-123.
        Any transaction command (install, upgrade) will fail with an error if there is no existing advisory in the list; this can be bypassed by using the --skip-unavailable switch.

    --advisory-severities=ADVISORY_SEVERITY,...
        Include content contained in advisories with specified severity.
        This is a list option.
        Accepted values are: critical, important, moderate, low, none.

    --bzs=BUGZILLA_ID,...
        Include content contained in advisories that fix a ticket of the given Bugzilla ID.
        This is a list option.
        Expected values are numeric IDs, e.g. 123123.
        Any transaction command (install, upgrade) will fail with an error if there is no advisory fixing the given ticket; this can be bypassed by using the --skip-unavailable switch.

    --cves=CVE_ID,...
        Include content contained in advisories that fix a ticket of the given CVE (Common Vulnerabilities and Exposures) ID.
        This is a list option.
        Expected values are string IDs in CVE format, e.g. CVE-2201-0123.
        Any transaction command (install, upgrade) will fail with an error if there is no advisory fixing the given ticket; this can be bypassed by using the --skip-unavailable switch.

    --security
        Include content contained in security advisories.

    --bugfix
        Include content contained in bugfix advisories.

    --enhancement
        Include content contained in enhancement advisories.

    --newpackage
        Include content contained in newpackage advisories.

    --minimal
        Reports the lowest versions of packages that fix advisories of type bugfix, enhancement, security, or
        newpackage. In case that any option limiting advisories is used it reports the lowest versions of packages
        that fix advisories matching selected advisory properties"

    --json
        Request JSON output format.

EXAMPLES

    dnf5 check-upgrade
        Print a list of packages that have updates available.

    dnf5 check-upgrade --changelogs
        Print changelogs for all packages with pending updates.

JSON OUTPUT

dnf5 check-upgrade --json

The command returns a JSON object with the following structure:

    •   keys represent a section of the “pretty” CLI output

    •   values represent the packages in that section as an array of objects with the following structure:

                •   name (string): package name

                •   arch (string): package architecture

                •   evr (string): available update version

                •   repository (string): repository ID from which the update is available

                •   obsoletes (array): (only for the “Obsoleting packages” section) list of the packages that obsolete this package (they have the same structure as above, omitting obsoletes)

SEE ALSO
        dnf5-specs(7), Patterns specification <#specs-misc-ref-label>

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.